# Glacier2::SessionManager

## Overview

### interface SessionManager

The session manager for username/password authenticated users that is responsible for managing Session objects. New session objects are created by the Router object calling on an application-provided session manager. If no session manager is provided by the application, no client-visible sessions are passed to the client.

#### See Also

Router
Session

## Operations

### Session* create(string userId, SessionControl* control) throws CannotCreateSessionException

Create a new session.

#### Parameters

userId
  The user id for the session.
control
  A proxy to the session control object.

#### Return Value

A proxy to the newly created session.

#### Exceptions

CannotCreateSessionException
  Raised if the session cannot be created.